/*global $,owl,smoothScroll,WOW*/
$(document).ready(function () {
    "use strict";

    /* ---------------------------------------------
     Loader Screen
    --------------------------------------------- */
    $(window).load(function () {
        $("body").css('overflow-y', 'auto');
        $('#loading').fadeOut(1000);
    });

    $('[data-tool="tooltip"]').tooltip({
        trigger: 'hover',
        animate: true,
        delay: 50,
        container: 'body'
    });

    //for smoth scroll
    smoothScroll.init({
        speed: 800,
        updateURL: false,
        offset: 85
    });

    var wow = new WOW({
        boxClass: 'wow', // animated element css class (default is wow)
        animateClass: 'animated', // animation css class (default is animated)
        mobile: true, // trigger animations on mobile devices (default is true)
        live: true,
        offset: 100,
        scrollContainer: null // optional scroll container selector, otherwise use window
    });
    wow.init();


    /* ---------------------------------------------
     Scrool To Top Button Function
    --------------------------------------------- */
    $(window).scroll(function () {
        if ($(this).scrollTop() > 500) {
            $(".toTop").css("right", "20px");
        } else {
            $(".toTop").css("right", "-60px");
        }
    });

    $(".toTop").click(function () {
        $("html,body").animate({
            scrollTop: 0
        }, 500);
        return false;
    });

    //customize the header
    $(window).scroll(function () {
        if ($(this).scrollTop() > 0) {
            $('.main-head').addClass('sticky');

        } else {
            $('.main-head').removeClass('sticky');
        }

    });

    $(".various").fancybox({
        maxWidth: 800,
        maxHeight: 500,
        fitToView: false,
        width: '70%',
        height: '70%',
        autoSize: false,
        closeClick: false,
        openEffect: 'none',
        closeEffect: 'none'
    });

    $('.side-nav').mCustomScrollbar({
        autoHideScrollbar: false,
        setTop: 0,
        scrollInertia: 50,
        theme: "light-1"
    });
    
    $('.spec-list ul').mCustomScrollbar({
        autoHideScrollbar: false,
        setTop: 0,
        scrollInertia: 50,
        theme: "dark-3"
    });

    $('.open-sidebar').on('click', function () {
        $('.sidebar').toggleClass('opened');
        $('.overlay_gen').fadeIn();
        $('body').addClass('sided');
    });

    $('.overlay_gen').on('click', function () {
        $('.sidebar').toggleClass('opened');
        $('.overlay_gen').fadeOut();
        $('body').removeClass('sided');
    });

    $('.open-search').click(function () {
        $('.search-area').slideToggle();
    });
    
    $('.open-search, .search-area').on("click", function (e) {
        e.stopPropagation();
    });
    
    $('body').click(function () {
        $(this).find('.search-area').slideUp();
    });


    $('.flexslider').flexslider({
        prevText: "<span class='slider-left'><i class='fa fa-caret-left'></i></span>",
        nextText: "<span class='slider-right'><i class='fa fa-caret-right'></i></span>",
        controlNav: false,
        direction: "vertical",
        slideshow: true,
        slideshowSpeed: 4000,
        pauseOnHover: true,
        touch: true
    });

});